CREATE TABLE 'branch_office' (
branch_id INTEGER PRIMARY KEY  NOT NULL,
dest_id int default NULL,
host varchar(30) NOT NULL default 'dynamic',
secret varchar(30) NOT NULL default 'secret',
register varchar(30) default NULL,
trunk int NOT NULL default 1,
office_name varchar(30) NOT NULL,
qualify int NOT NULL default 10000);
CREATE TABLE 'conference' (
conference_id INTEGER PRIMARY KEY  NOT NULL,
dest_id int NOT NULL default 0,
conf_name varchar(20) NOT NULL,
pin varchar(20) default NULL,
admin_pin varchar(4) default NULL, announce int not null default 0, mute_on_enter int not null default 0);
CREATE TABLE 'database_update' (
update_id INTEGER PRIMARY KEY NOT NULL,
update_table varchar(30) NOT NULL,
id varchar(20) NOT NULL,
drop_row int NOT NULL);
CREATE TABLE 'default_dest' (
dest_type varchar(14) NOT NULL default 'vm_trans',
local_ext varchar(10) NOT NULL,
PRIMARY KEY (dest_type,local_ext));
CREATE TABLE 'destination' (
dest_id INTEGER PRIMARY KEY  NOT NULL,
dest_type varchar(13) NOT NULL default 'sip_ext',
dest_key int NOT NULL,
local_ext varchar(10) UNIQUE default NULL);
CREATE TABLE 'holiday_schedule' (
holiday_id INTEGER PRIMARY KEY  NOT NULL,
schedule_id int default NULL,
name varchar(30) NOT NULL,
start_month int default 0,
end_month int default 0,
start_day int default 0,
end_day int default 0,
start_hour int default NULL,
stop_hour int default NULL,
holiday_dest_id int default NULL,
start_min int default 0,
stop_min int default 0);
CREATE TABLE 'ivr' (
ivr_id INTEGER PRIMARY KEY  NOT NULL,
dest_id int NOT NULL default 0,
ivr_name varchar(30) NOT NULL,
ivr_greeting varchar(30) NOT NULL default 'enter-ext-of-person',
dest1 int default NULL,
dest2 int default NULL,
dest3 int default NULL,
dest4 int default NULL,
dest5 int default NULL,
dest6 int default NULL,
dest7 int default NULL,
dest8 int default NULL,
dest9 int default NULL,
dest0 int default NULL,
star_dest int default NULL,
pound_dest int default NULL,
response_to int NOT NULL default 4,
loops int NOT NULL default 1,
to_dest_id int default NULL,
digit_timeout int NOT NULL default 2,
rings_to_answer int default 4,
allow_ext int NOT NULL default 0,
status varchar(8) NOT NULL default 'active');
CREATE TABLE 'musiconhold' (
moh_id INTEGER PRIMARY KEY  NOT NULL,
music_class_name varchar(20) NOT NULL,
play_mode varchar(10) NOT NULL default 'files',
play_random int NOT NULL default 0);
CREATE TABLE 'outbound_routing' (
route_id INTEGER PRIMARY KEY NOT NULL,
name varchar(30) NOT NULL,
route_type varchar(5) NOT NULL default 'local',
match_digits varchar(30) default NULL,
block_all int NOT NULL default 0);
CREATE TABLE 'outbound_trunks' (
route_id int NOT NULL default 0,
priority int NOT NULL default 0,
trunk_id int NOT NULL default 0,
PRIMARY KEY (route_id,priority,trunk_id));
CREATE TABLE 'phone_keys' (
dest_id int NOT NULL,
key_num int NOT NULL,
key_type int NOT NULL,
connected int NOT NULL default 1,
idle int NOT NULL default 1,
incoming int NOT NULL default 1,
outgoing int NOT NULL default 1,
key_label varchar(20),
key_value varchar(20));
CREATE TABLE 'phone_number' (
phone_number_id INTEGER PRIMARY KEY NOT NULL,
trunk_id int default NULL,
number varchar(15) NOT NULL,
default_dest int default NULL);
CREATE TABLE 'phone_settings' (
dest_id int NOT NULL,
name varchar(20) NOT NULL,
value varchar(20) default NULL);
CREATE TABLE 'prompts' (
prompt_id INTEGER PRIMARY KEY NOT NULL,
prompt_file_name varchar(50) NOT NULL,
prompt_description varchar(50));
CREATE TABLE 'rg_ext' (
ring_group_id int NOT NULL default 0,
dest_id int NOT NULL default 0,
PRIMARY KEY (ring_group_id,dest_id));
CREATE TABLE 'ring_group' (
ring_group_id INTEGER PRIMARY KEY  NOT NULL,
dest_id int NOT NULL default 0,
ring_group_name varchar(20) NOT NULL,
ring_strategy varchar(12) NOT NULL default 'ringall',
failover_dest_id int default NULL,
queue_flags varchar(10) default NULL,
caller_hears_ringing int NOT NULL default 1,
timeout int NOT NULL default 32,
page_enable int NOT NULL default 1,
crs_id int NOT NULL default -1);
CREATE TABLE 'schedule_routing' (
schedule_id INTEGER PRIMARY KEY  NOT NULL,
dest_id int default NULL,
name varchar(30) NOT NULL,
ho_mon_start int default NULL,
ho_mon_stop int default NULL,
ho_tue_start int default NULL,
ho_tue_stop int default NULL,
ho_wed_start int default NULL,
ho_wed_stop int default NULL,
ho_thu_start int default NULL,
ho_thu_stop int default NULL,
ho_fri_start int default NULL,
ho_fri_stop int default NULL,
ho_sat_start int default NULL,
ho_sat_stop int default NULL,
ho_sun_start int default NULL,
ho_sun_stop int default NULL,
lo_mon_start int default NULL,
lo_mon_stop int default NULL,
lo_tue_start int default NULL,
lo_tue_stop int default NULL,
lo_wed_start int default NULL,
lo_wed_stop int default NULL,
lo_thu_start int default NULL,
lo_thu_stop int default NULL,
lo_fri_start int default NULL,
lo_fri_stop int default NULL,
lo_sat_start int default NULL,
lo_sat_stop int default NULL,
lo_sun_start int default NULL,
lo_sun_stop int default NULL,
ho_dest_id int default NULL,
ho_fwd int default 0,
noho_fwd int default 0,
lo_fwd int default 0,
lo_dest_id int default NULL,
ho_mon_start_min int default 0,
ho_mon_stop_min int default 0,
ho_tue_start_min int default 0,
ho_tue_stop_min int default 0,
ho_wed_start_min int default 0,
ho_wed_stop_min int default 0,
ho_thu_start_min int default 0,
ho_thu_stop_min int default 0,
ho_fri_start_min int default 0,
ho_fri_stop_min int default 0,
ho_sat_start_min int default 0,
ho_sat_stop_min int default 0,
ho_sun_start_min int default 0,
ho_sun_stop_min int default 0,
lo_mon_start_min int default 0,
lo_mon_stop_min int default 0,
lo_tue_start_min int default 0,
lo_tue_stop_min int default 0,
lo_wed_start_min int default 0,
lo_wed_stop_min int default 0,
lo_thu_start_min int default 0,
lo_thu_stop_min int default 0,
lo_fri_start_min int default 0,
lo_fri_stop_min int default 0,
lo_sat_start_min int default 0,
lo_sat_stop_min int default 0,
lo_sun_start_min int default 0,
lo_sun_stop_min int default 0,
noho_dest_id int default NULL,
parent_dest_id int default NULL);
CREATE TABLE 'sip_ext' (
extension_id INTEGER PRIMARY KEY  NOT NULL,
dest_id int NOT NULL,
name varchar(20) default NULL,
extension_number int NOT NULL default 0,
user_id int default NULL,
forward_enable int NOT NULL default 0,
forward_unconditional varchar(20) default NULL,
forward_busy varchar(20) default NULL,
forward_no_answer varchar(20) default NULL,
forward_unavailable varchar(20) default NULL,
forward_unavailable_dest_id int default 0,
forward_busy_dest_id int default 0,
forward_unconditional_dest_id int default 0,
forward_no_answer_dest_id int default 0,
ext_password varchar(20) NOT NULL,
uad_type int default NULL,
location varchar(6) NOT NULL default 'local',
ext_status varchar(8) NOT NULL default 'active',
dtmf_mode varchar(20) NOT NULL default 'rfc2833',
user_type varchar(6) NOT NULL default 'friend',
auth_method varchar(10) NOT NULL default 'md5',
nat varchar(8) NOT NULL default 'active',
status_interval int default 8000,
host varchar(20) NOT NULL default 'dynamic',
default_ip varchar(20) default NULL,
cid_status varchar(8) NOT NULL default 'active',
cid_name varchar(20) default NULL,
caller_number int default NULL,
call_group int default NULL,
pickup_group int default NULL,
inc_call_limit int NOT NULL default 2,
out_call_limit int NOT NULL default 2,
vm_id int NOT NULL default -1,
ring_time int NOT NULL default 32,
codec_allow varchar(50) default 'ulaw|alaw|gsm',
codec_disallow varchar(30) NOT NULL default 'all',
perm_internal_calls int NOT NULL default 1,
perm_ld_calls int NOT NULL default 0,
perm_local_calls int NOT NULL default 1,
perm_intl_calls int NOT NULL default 0,
perm_inc_calls int NOT NULL default 1,
call_park_enable int NOT NULL default 1,
email varchar(30) default NULL,
mac varchar(12) default NULL,
can_reinvite varchar(3) NOT NULL default 'na',
insecure varchar(12) NOT NULL default 'na',
page_out_enable int NOT NULL default 1,
page_in_enable int NOT NULL default 1,
is_operator int NOT NULL default 0,
allow_forward int NOT NULL default 1,
allow_monitor int NOT NULL default 0,
allow_record int NOT NULL default 0,
schedule_dest_id int NOT NULL default 0,
apply_schedule int NOT NULL default 0);
CREATE TABLE 'sip_provider' (
sip_provider_id INTEGER PRIMARY KEY  NOT NULL,
trunk_id int NOT NULL default 0,
provider_name varchar(20) NOT NULL,
user_type varchar(6) NOT NULL default 'friend',
dtmf_mode varchar(7) NOT NULL default 'rfc2833',
host varchar(30) NOT NULL,
register varchar(60) default NULL,
register_ctl varchar(10) NOT NULL default 'yes',
auth varchar(50) default NULL,
auth_ctl varchar(10) NOT NULL default 'yes',
username varchar(30) default NULL,
secret varchar(30) default NULL,
out_callerid varchar(30) default NULL,
incoming_limit int NOT NULL default 1,
outgoing_limit int NOT NULL default 1,
qualify int NOT NULL default 0,
can_reinvite varchar(3) NOT NULL default 'na',
insecure varchar(12) NOT NULL default 'na',
no_transfer varchar(3) NOT NULL default 'no',
allow_codecs varchar(50) default 'ulaw|alaw',
default_dest_id int default NULL,
dial_prefix varchar(10) default '');
CREATE TABLE 'system_settings' (
setting_id INTEGER PRIMARY KEY  NOT NULL,
setting_key varchar(30) NOT NULL,
value varchar(100) default NULL);
CREATE TABLE 'trunk_dialing_rule' (
trunk_id int NOT NULL,
match_digits varchar(20) NOT NULL);
CREATE TABLE 'trunks' (
trunk_id INTEGER PRIMARY KEY  NOT NULL,
trunk_type varchar(3) NOT NULL default 'sip',
trunk_key int default NULL,
default_dest int default NULL,
area_code int default NULL,
send_ac_local int NOT NULL default 0,
add_1_to_ac int NOT NULL default 1,
allow_record int NOT NULL default 0);
CREATE TABLE 'uad' (
uad_id INTEGER PRIMARY KEY  NOT NULL,
desc varchar(20) NOT NULL,
manufacturer varchar(20) default NULL,
model varchar(20) default NULL);
CREATE TABLE 'users' (
userid INTEGER PRIMARY KEY  NOT NULL,
first_name varchar(20) default NULL,
last_name varchar(20) default NULL,
username varchar(15) NOT NULL,
password varchar(15) NOT NULL,
pri_ext int default NULL,
status varchar(8) NOT NULL default 'active',
email varchar(30) default NULL);
CREATE TABLE 'vm_box' (
vm_id INTEGER PRIMARY KEY  NOT NULL,
dest_id int NOT NULL default 0,
mailbox int NOT NULL default 0,
name varchar(20) default NULL,
password varchar(20) NOT NULL,
email varchar(30) default NULL,
is_ext_vm int NOT NULL default 1,
allow_operator int NOT NULL default 1,
allow_review int NOT NULL default 0,
voice_as_attach int NOT NULL default 1,
delete_after_email int NOT NULL default 0,
caller_id int NOT NULL default 1,
envelope int NOT NULL default 1,
auto_del_days NOT NULL default 90,
set_old_on_email NOT NULL default 0);
CREATE TABLE 'zap' (
zap_id INTEGER PRIMARY KEY  NOT NULL,
trunk_id int default NULL,
zap_signalling varchar(10) NOT NULL default 'fxs_ks',
provider_name varchar(30) NOT NULL,
out_callerid varchar(20) default NULL,
zap_group int UNIQUE NOT NULL default 1,
hw_id int NOT NULL default 0,
start_channel int NOT NULL default 1,
end_channel int NOT NULL default 1,
usecallerid int default 1,
callerid_name varchar(15) default 'asreceived',
callerid_number int default NULL,
echocancel varchar(10) default yes,
echocancelbridged int default 0,
echotraining varchar(10) default '800',
rxgain real default 0.0,
txgain real default 0.0,
answer_incoming int default 1,
answer_sec int default 0,
dial_prefix varchar(10) default 'w');
CREATE TABLE 'zap_hw' (
hw_id INTEGER PRIMARY KEY NOT NULL,
card_type int NOT NULL default 1,
label varchar(30) NOT NULL,
slot_number int UNIQUE NOT NULL default 1,
default_dest int default NULL,
zap_load_order int UNIQUE NOT NULL);
CREATE TABLE 'zap_span' (
span_number INTEGER PRIMARY KEY NOT NULL,
hw_id int NOT NULL,
timing int NOT NULL default 0,
lbo int NOT NULL default 0,
framing varchar(20) NOT NULL default 'esf',
coding varchar(20) NOT NULL default 'b8zs',
dchan int default NULL,
disabled int NOT NULL default 0,
is_pri int NOT NULL default 1,
switchtype varchar(20) NOT NULL default 'national',
resetinterval varchar(20) NOT NULL default '3600',
pridialplan varchar(20) NOT NULL default 'national',
priindication varchar(20) NOT NULL default 'inband');
CREATE TABLE 'zap_spanmap' (
span_number INTEGER PRIMARY KEY NOT NULL,
group_number int NOT NULL,
logical_span int NOT NULL);
CREATE TABLE 'zap_trunkgroup' (
group_number INTEGER PRIMARY KEY NOT NULL,
dchannel int NOT NULL,
backup int);
