#!/bin/bash




function apply_func()
{
	for file in $FILELIST
	do
		$1 $file
	done
}




#set -x
echo "Working Directory: $(pwd)"
#FILELIST="database/ipitomydb.db etc/ntp.conf asterisk/ipitomy.conf asterisk/chan_dahdi.conf"
args=`getopt stif: $*`
if test $? != 0
then
	echo 'Usage: -t (track) -i (ignore) -f filename'
	exit 1
fi

set -- $args

for i
do
	case "$i" in
		-t) shift;echo "track";track=1;;
		-i) shift;echo "ignore set";ignore=1;;
		-f) shift;echo "file $1";file=$1;shift;; 
		-s) shift;echo "Show Ignored Files:";show=1;; 
	esac
done

if [ $file ] 
then
	FILELIST=`cat $file`
else
	if [ -z $show ] 
	then
		echo "Warning: input file does not exist"
	fi
fi

if [ $track ]
then
	if [ $ignore ]
	then
		echo "Error -i and -t are mutually exclusive options but 1 must be specified" 
		exit 1
	fi
cmd="/usr/local/bin/git update-index --no-assume-unchanged " 
apply_func "$cmd"
fi

if [ $ignore ]
then
	if [ $track ]
	then
		echo "Error -i and -t are mutually exclusive options but 1 must be specified" 
		exit 1
	fi
cmd="/usr/local/bin/git update-index --assume-unchanged " 
apply_func "$cmd"
fi

if [ $show ] 
then 
#	cmd="/usr/local/bin/git ls-files -v | grep -e \"^[hsmrck]\""
#	$cmd
	/usr/local/bin/git ls-files -v | grep -e "^[hsmrck]"
	#grep -e "^[hsmrck]" $(result)

	#echo $result
fi


echo "Operation Complete"






