%define version VERSION
%define release RELEASE

Name:          ipitomy_pbx
Version:       %{version}
Release:       %{release}
Summary:       IPitomy PBX Software
Group:         Applications/Communications
License:       Copyright 2013 IPitomy Communications, LLC
URL:           http://www.ipitomy.com
Source0:       ipitomy_pbx-source.tgz
BuildArch:     noarch
Buildroot:     %{_tmppath}/%{name}-%{version}-root
Requires:      apcupsd,arp-scan,asterisk14,asterisk14-core,asterisk14-doc
Requires:      aastra-fw,ipitomy_legacy_phones
Requires:	   asterisk14-voicemail,asterisk-sounds-core-en-ulaw,astmanproxy
Requires:	   celogd,prov,php-pecl-apc
Requires:	   daemonize,dmidecode,dnsmasq,e2fsprogs,e2fsprogs-devel,e2fsprogs-libs
Requires: 	   ejabberd,ejabberd-doc,erlang-esasl,erlang,erlang-xmlrpc,fxload
Requires:	   gnutls-devel,httpd,iksemel,lame,lame-devel,libgsasl,libmad,libmad-devel
Requires:	   libmcrypt,libntlm,libpri,libtidy,libtonezone,libusb-devel,libxslt,lm_sensors
Requires:	   mdadm,net-snmp,net-snmp-libs,nmap,pcre,perl-Compress-Zlib,perl-HTML-Parser
Requires:	   perl-HTML-Tagset,perl-libwww-perl,perl-URI,phoenix-fw,php,php-cli
Requires:	   php-gd,php-mcrypt,php-pear,php-pear-Auth-SASL,php-pear-DB,php-pear-Log
Requires:	   php-pear-Mail,php-pear-Mail-Mime,php-pear-MDB2,php-pear-Net-SMTP
Requires:	   php-pear-Net-Socket,php-pecl-filter,php-pecl-json,php-tidy,php-xml
Requires:      php-xmlrpc,php-pdo,sharutils,sox,tk,unixODBC-libs,fail2ban,pkgconfig
Requires:	   zlib-devel,libgcrypt-devel,asterisk14-dahdi,dahdi-firmware
Requires:	   dahdi-firmware-astribank,dahdi-firmware-oct6114-064
Requires:	   dahdi-firmware-oct6114-128,dahdi-firmware-tc400m
Requires:	   dahdi-firmware-vpmadt032,dahdi-linux,dahdi-tools,dahdi-tools-doc
Requires:	   xinetd,tftp-server,ntp,yum-updatesd
Requires(post): sed,chkconfig,initscripts,e2fsprogs
Requires(postun): sed,e2fsprogs


%description
This package contains IPitomy PBX software.

#%package package_conflicts
#Summary: Subpackage Conflicting System Config files
#Group: Applications/Communications
#%description package_conflicts
#Conflicting system configuration files.  Must be installed with --replacefiles
#%files package_conflicts -f package_conflicts

%prep 
%setup -q
%build
%define debug_package %{nil}

%install
if [ "$RPM_BUILD_ROOT" != "/" ]
then
    if [ "$RPM_BUILD_ROOT" != "" ]
    then
        rm -rf "$RPM_BUILD_ROOT"
    
    fi  
fi
make ROOT="$RPM_BUILD_ROOT" install
mkfifo "$RPM_BUILD_ROOT"%{_localstatedir}/log/asterisk/queue_log
mkfifo "$RPM_BUILD_ROOT"%{_localstatedir}/spool/ipitomy/logger

%files
%defattr(0644,root,root,0755)
#%config %{_sysconfdir}/*
#%attr(0440,root,root) %{_sysconfdir}/sudoers
%{_datadir}/pear/*
%{_datadir}/nusoap
%{_localstatedir}/backup
%{_localstatedir}/lib/asterisk/moh
%{_localstatedir}/log/asterisk/call_events.db
%{_localstatedir}/log/asterisk/queue_log
%{_localstatedir}/spool/ipitomy
#%{_sysconfdir}/modprobe.conf
#/root/.bashrc
#%{_sysconfdir}/inittab
/usr/lib/ejabberd
/usr/lib/asterisk/modules/codec_g729.so
/usr/local/ioncube
/usr/local/sbin/sox
/usr/local/sbin/soxmix
/usr/local/sbin/tw_cli
/usr/bin/sox
/usr/bin/soxmix
/var/lib/asterisk/*
/root/.ssh/*
#/usr/sbin/safe_asterisk
/var/www/html/index.html
%attr(-,apache, apache) /usr/local/ipitomy
#%attr(0755,apache, apache) /usr/local/ipitomy/cache
%attr(0777,apache, apache) /usr/local/ipitomy/logging
%attr(0777,asterisk,asterisk) %{_localstatedir}/log/asterisk/cdr-custom
%dir %attr(0777,-,-) /usr/local/ipitomy/conf
%attr(0666,-,-) /usr/local/ipitomy/conf/*
%attr(0777,-,-) /usr/local/ipitomy/database
#%dir %attr(0775,apache,apache) /usr/local/ipitomy/web

#note may need to modify for uploads/downloads
#%attr(0775,apache,apache) /usr/local/ipitomy/web/*
%attr(0777,-,-) /usr/local/ipitomy/web/music_on_hold_files
%dir %attr(0777,-,-) /usr/local/ipitomy/web/asterisk/sound_files
%attr(0666,-,-) /usr/local/ipitomy/web/asterisk/sound_files/*
%dir %attr(0777,-,-) /usr/local/ipitomy/web/asterisk/sound_files/custom
%attr(0666,-,-) /usr/local/ipitomy/web/asterisk/sound_files/custom/*
%dir %attr(0777,-,-) /usr/local/ipitomy/web/asterisk/sound_files/custom/menu_prompts
%attr(0755,-,-) /usr/local/ipitomy/scripts
%dir %attr(0755,-,-) /usr/local/ipitomy/asterisk
# config files are read only 
%attr(0444,-,-) /usr/local/ipitomy/asterisk/*
%attr(0755,-,-) /usr/local/sbin/sox
%attr(0755,-,-) /usr/local/sbin/soxmix
%attr(0755,-,-) /usr/local/sbin/handle-add-old
%attr(0755,-,-) /usr/local/sbin/handle-remove-old
%attr(0666,-,-) %{_localstatedir}/log/asterisk/cdr-custom/Master.csv
%attr(0777,-,-) %{_localstatedir}/spool/asterisk/monitor
%attr(0777,-,-) %{_localstatedir}/spool/asterisk/recordings


%pre
  if [ "$1" -le "1" ]
  then
	#put first installation commands here
	echo "Executing First install pre-installation block"

	echo "Detect Previous IPitomy Installations"
    	if [ -f /usr/local/ipitomy/database/ipitomydb.db ]
    	then
    	    echo "Old Installation detected.  Preserving files."
    	    rsync -au --delete /usr/local/ipitomy /usr/local/ipitomy.old_prerpm
    	    cp -fp /usr/local/ipitomy/database/ipitomydb.db /tmp/upgradeDB.db
    	fi


  fi

  # backup the call events database and copy it back if it exists
  if [ -f /var/log/asterisk/call_events.db ]
  then
        echo "Old CDR database detected.  Migrating."
      	cp -fp /var/log/asterisk/call_events.db /tmp/cdrDB.db
  fi


  if [ "$1" -ge "2" ]
  then
	#put upgrade operations here
	echo "Executing upgrade pre-installation block"
	rsync -au --delete /usr/local/ipitomy /usr/local/ipitomy.old
  fi

  rm -rf %{_localstatedir}/lib/asterisk/sounds 
  if [ -f /usr/bin/sox ]
  then
  	mv -f /usr/bin/sox /usr/bin/sox.orig
  fi
  if [ -f /usr/bin/soxmix ]
  then
  	mv -f /usr/bin/soxmix /usr/bin/soxmix.orig
  fi
  mv -f %{_sysconfdir}/asterisk %{_sysconfdir}/asterisk.orig
  rm -f %{_sysconfdir}/httpd/conf.d/proxy_ajp.conf

%post
  # install system configuration files from etc
  cp -Rf --backup /usr/local/ipitomy/system/etc/* /etc
  chmod 0440 /etc/sudoers

  cp -f --backup /usr/local/ipitomy/system/usr/sbin/safe_asterisk /usr/sbin/safe_asterisk

  # Initial installation
  if [ "$1" -le "1" ]
  then
	# put post installation first install commands here
	echo "Executing First Install post-installation block"

    if [ -f /tmp/upgradeDB.db ]
    then
        echo "Copying old database to new RPM-based installation"
        mv -f /tmp/upgradeDB.db /usr/local/ipitomy/database/ipitomydb.db
    else
	    # update database to default database
	    echo "Copying Default Database"
	    cp -f /usr/local/ipitomy/database/default.db /usr/local/ipitomy/database/ipitomydb.db
	fi
	
  fi

  if [ "$1" -ge "2" ]
  then
    echo "Executing Upgrade post-installation block"
	#put post installation upgrade commands here

	echo "Copying queue recordings from previous installation"
	cp -rf /tmp/ipitomy.old/queue_recordings/* /tmp/ip_update/ipitomy/queue_recordings
  fi

  # backup the call events database and copy it back if it exists
  if [ -f /tmp/cdrDB.db ]
  then
    echo "Restoring Old CDR Database."
    mv -f /tmp/cdrDB.db /var/log/asterisk/call_events.db
  fi

  # turn the dir index on if it was off
  tune2fs -O dir_index $(mount | grep 'on / type ext3' | awk '{print $1}')
  # force fsck on next reboot
  touch /forcefsck
  echo " -y -A -V" > /fsckoptions
  #huh?
  chown -f apache:apache /tmp/CAPTURE_*.pcap*
  #sed -i "s/if \$progctl status > \/dev\/null 2>\&1 ; then/if ps -u ejabberd h | grep -v epmd ; then/" %{_sysconfdir}/init.d/ejabberd
  #rm -f /tmp/restartinfo
  chkconfig --levels 2345 httpd on
  service httpd restart
  chkconfig --levels 235 ntpd on
  service ntpd restart
  chkconfig iptables on
  chkconfig xinetd on
  chkconfig CELogd on
  chkconfig --levels 2345 astmanproxy on
  chkconfig iptables on
  chkconfig dnsmasq on
  service syslog restart
  service CELogd restart
  service asterisk restart
  service xinetd restart
  chkconfig kudzu off
  chkconfig cups off
  chkconfig gpm off
  chkconfig portmap off
  chkconfig nfslock off
  chkconfig bluetooth off
  chkconfig pcscd off
  chkconfig nfs off
  chkconfig autofs off
  chkconfig sendmail off
  chkconfig yum-updatesd off

  # ensure that database is writable
  chmod 666 /usr/local/ipitomy/database/ipitomydb.db
  
  telinit Q
  echo "Please reboot!"
  

%postun

%changelog
