#!/bin/bash
function install_netconsole()
{       
    if [ 1 ]
    then

#first virtual console tty number to use
    START=7
    END=$START
        
    TMP=/tmp/ipitomyconsole.tmp
    TMPRC=/tmp/ipitomyconsolerc.tmp
    RC="/root/.bashrc"
        
    cp -rf /etc/inittab /tmp/bk-inittab

        
    if [ -f /usr/local/ipitomy/scripts/netconsole.php ]
        then
        
        echo "Installing Ipitomy Console for TTYs "$START"-"$END
        
# OLD METHOD
###cat /etc/inittab|sed -e "s/\(["$START"-"$END"]\)\(:2345:respawn:\)\(.*\)\(tty\)\(.*\)/\1\2\/usr\/l

####INSERT="\/sbin\/mingetty --loginprog=\/usr\/local\/ipitomy\/scripts\/netconsole.php"


        INSERT="\/sbin\/mingetty --autologin root "

            # If there is already a ttyN, modify existing entries

        grep "^["$START"-"$END"]:2345:respawn:/sbin/mingetty " /etc/inittab

        if [ $? -eq 0 ];
        then
        
        cat /etc/inittab|sed -e "s/\(["$START"-"$END"]\)\(:2345:respawn:\)\(.*\)\(tty\)\(.*\)/\1\2$IN
    
        else
        # Add our netconsole stuff to inittab

          cat /etc/inittab > $TMP
          echo -e "\n#" >> $TMP

        i=$START 
        while [ $i -le $END ]
          do

          echo "$i:2345:respawn:/sbin/mingetty --autologin root tty$i" >> $TMP
          i=$[$i+1]
          done
        fi
    
  # atomic update 
        mv_f $TMP /etc/inittab

  # Now update .bashrc entry


        ID="IPNETCONSOLE"

        touch $TMPRC $TMPRC.2
        chmod 600 $TMPRC $TMPRC.2

        echo "# THESE LINES WERE AUTO ADDED FOR $ID" > $TMPRC
        echo "ipnc=\"n\"; tty | grep \"/dev/tty$START\" && ipnc=\"y\" && /usr/local/ipitomy/scripts/n
        echo "if [ \$ipnc = \"y\" ]; then exit 0; fi; # $ID" >> $TMPRC

        cat $RC | grep -v $ID > $TMPRC.2
        cat $TMPRC >> $TMPRC.2

        rm_rf $TMPRC
        # atomic update
        mv_f $TMPRC.2 $RC

        install_reload_init


 #  echo "Killing Old TTYs"
 # i=$START
 #   while [ $i -le $END ]
 #     do
 #       app=`ps -e | grep mingetty | grep "tty"$i | awk '{ print $1; }'`
 #  echo     kill -9 $app
 #       i=$[$i+1]
 #   done

    else
        echo "Could not find netconsole.php"
        echo "You can only install that if IPITOMY scripts dir is installed."
    fi

    fi # end
}

function install_reload_init()
{
  echo "Re-loading Init"
  initPID=`telinit Q && sleep 2 && ps -e | sort -n| grep "init" | head -1 | awk '{print $1; }'`
  kill -9 $initPID
}

