#!/bin/bash
WORKDIR=`echo $0 |sed -e "s/\(.*\)\/\(.*\)$/\1/"`
source ${WORKDIR}/installLib.sh
source ${WORKDIR}/installFunctions.sh

alias verify_link=isdir
alias verify_link=islink
alias verify_file=isfile
alias cp="ambiguous cp"
alias mv="ambiguous mv"
alias mkdir="ambiguous mkdir"
alias rm="ambigous rm"
alias ln="ambiguous ln"




ROOTDIR=/usr/local/ipitomy
INSTALLDIR=/usr/local/ipitomy
#
# FORM THE USAGE MESSAGE
#   
USAGE="not enough arguments on command line \n\n\
USAGE: $0 help [keyword]\n\
USAGE: $0 [action] [function] [args...]\n\n"


keyword=_ignore_ 
helpresult=

if [ $# -eq 2 ];
        then
    if [ $1 = "help" ];
        then
        keyword=$2;
    fi
fi

    
actions=`grep "function" $0 | grep -v action | grep -v "#" |awk '{print $2; }' | cut -d "_" -f 1|sort|uniq|grep -v function`
helpresult=`echo $actions|tr " " "\n"|grep "$keyword"`
USAGE="${USAGE}ACTIONS: $actions\n\nFUNCTIONS:"


    for item in $actions
    do
      USAGE="$USAGE\n\t$item --"
      I=`grep "function" $0 |grep ${item}_ | grep -v echo| sed "s/function.*${item}_//" | sed "s/()//"|sort`
      USAGE="$USAGE $I\n"


      tmphelp=
      echo $item | grep "$keyword"
      if [ $? -eq 0 ];
          then
          tmphelp=$I
          helpresult="$helpresult $tmphelp\n"
      fi

    done


#
# PARSE COMMAND LINE
#
    if [ $# -lt 1 ]; then echo -e $USAGE|more; exit 1;
    fi

    cond="q"

    case $1 in
        help) cond=$1 ;;
        all) cond=$1 ;;
        update) cond=$1 ;;
        clean) cond=$1 ;;
        check) cond=$1 ;;
        repair) cond=$1 ;;
        test) cond=$1 ;;
    esac

    if [ $cond = "q" ]; then fatal $1 is not a valid command.;
    fi


    if [ $cond = "help" ];
        then
        echo "ACTIONS & FUNCTIONS in $0 associated with \"$keyword\""
        echo "Format is ACTION: FUNCTION LIST"
        echo "Example: if you see  \"foo: bar too_boo\", it means that"
        echo -e "You can run the commands, \"foo bar\" or \"foo too_boo\".\n"
        echo -e $helpresult
        exit 0
    fi

    shift 1
    echo "assemble ${cond}_$@";
    eval ${cond}_$@

