#!/bin/bash
#set -x

#URL="http://www.ipitomy.com/pbxfiles/ip550/sp550.php"

CURL=/usr/bin/curl
CURL_FLAGS="-s"

if [ $1 == '550' ]; then
	MODEL_NAME='IPitomy 550'
	URL="http://www.ipitomy.com/pbx_files/ip550/sp550.php"
	MD5_OUT=/tmp/sp550.md5
	MD5_OUT_CURRENT=/tmp/sp550_current.md5

	BINFILE=/tftpboot/sp550.bin

	TMPBIN=/tmp/sp550.bin
elif [ $1 == '120' ] ; then
	MODEL_NAME='IPitomy 120'
	URL="http://www.ipitomy.com/pbx_files/ip120/sp120.php"
	MD5_OUT=/tmp/sp120.md5
	MD5_OUT_CURRENT=/tmp/sp120_current.md5

	BINFILE=/tftpboot/sp120.bin

	TMPBIN=/tmp/sp120.bin
fi


DIFFCMD="/usr/bin/diff -q"

rm -rf $MD5_OUT
$CURL $CURL_FLAGS -o $MD5_OUT "$URL?md5=1" 

ERR_VAL=$?

if [ $ERR_VAL -ne 0 ]; then
	echo "Error $ERR_VAL"
	exit 1
fi

rm -rf $MD5_OUT_CURRENT
md5sum $BINFILE | cut -d' ' -f1 > $MD5_OUT_CURRENT

echo "Comparing checksum for $MODEL_NAME file"
$DIFFCMD -q $MD5_OUT_CURRENT $MD5_OUT

if [ $? -ne 0 ]; then
	echo "$MODEL_NAME Checksums do not match"
	$CURL $CURL_FLAGS -o $TMPBIN "$URL"

	rm -rf $MD5_OUT_CURRENT
	md5sum $TMPBIN | cut -d' ' -f1 > $MD5_OUT_CURRENT
	

	$DIFFCMD $MD5_OUT_CURRENT $MD5_OUT
	if [ $? -ne 0 ]; then
		echo "Error obtaining new $MODEL_NAME file please retry"
		exit 1
	else
		rm -rf $BINFILE
		mv $TMPBIN $BINFILE
		echo "Downloaded $MODEL_NAME checksum matches: File updated"
	fi
	exit 0
else
	echo "$MODEL_NAME Checksums match.  Nothing to do"
	exit 0
fi


