<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>
<xsl:template match="/">

  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
      <link rel="stylesheet" href="css/queuestyle.css" type="text/css" />
  </head>

  <body>
  <div class="bodyWrap">

  <h2>Queues</h2>

    <xsl:for-each select="queues/queue">
		<!--<xsl:if test="ports/port/state/@state='open'">-->
        <table class="mainTbl">
            <tr class="mainRow">
                <td class="qinfoMain">
                    <table class="qdataTbl">
                        <tr>
                            <td>Queue: </td>
                            <td><xsl:value-of select="@name"/></td>
                        </tr>
                        <tr>
                            <td class="hold_time">
                                <table>
                                    <tr>
                                        <td>Hold Time</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <xsl:value-of select="@hold_time"/>
                                        </td>
                                    </tr>
                                </table>

                            </td>
                            <td class="answered">
                                <table>
                                    <tr>
                                        <td>Answered</td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <xsl:value-of select="@answered"/>
                                        </td>
                                    </tr>
                                </table>

                            </td>


                        </tr>
                        <tr>
                            <td class="calls_queued">
                                <table>
                                    <tr>
                                        <td>
                                            Calls in Q
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <xsl:value-of select="@calls_queued"/>
                                        </td>
                                    </tr>
                                </table></td>
                            <td class="abandoned"><table>
                                <tr>
                                    <td>
                                        Abandoned
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <xsl:value-of select="@abandoned"/>
                                    </td>
                                </tr>
                            </table></td>


                        </tr>
                        <tr>
                            <td class="service_level"><table>
                                <tr>
                                    <td>
                                        Target Time
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <xsl:value-of select="@service_level"/>
                                    </td>
                                </tr>
                            </table></td>
                            <td class="pct_in_service_level"><table>
                                <tr>
                                    <td>
                                        % in Target
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <xsl:value-of select="@calls_in_sl_pct"/>
                                    </td>
                                </tr>
                            </table></td>

                        </tr>
                    </table>
                </td>
                <td class="membersMain">
                    <table class="membersTbl">
                        <xsl:for-each select="member">
                            <tr class="mbrRow">
                                <xsl:choose>
                                    <xsl:when test="@status = 'Not in use'">
                                        <td class="mbrIdle">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'Unavailable'">
                                        <td class="mbrUnavail">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'In use'">
                                        <td class="mbrInUse">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'Ringing'">
                                        <td class="mbrRinging">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'Busy'">
                                        <td class="mbrInUse">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'Invalid'">
                                        <td class="mbrUnavail">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'On Hold'">
                                        <td class="mbrInUse">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'Unknown'">
                                        <td class="mbrUnavail">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:when test="@status = 'Ring+Inuse'">
                                        <td class="mbrInUse">
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:when>
                                    <xsl:otherwise>
                                        <td>
                                            <xsl:value-of select="@name" />
                                            Pen: <xsl:value-of select="@pen" />
                                            Calls: <xsl:value-of select="@calls" />
                                        </td>
                                    </xsl:otherwise>
                                </xsl:choose>


                            </tr>
                        </xsl:for-each>
                    </table>
                </td>
            </tr>
        </table>

        <!--<xsl:for-each select="call">-->
                    <!--<tr class="callRow">-->
                    <!--<td>-->
                        <!--Calls:<br/>-->
                    <!--</td>-->
                        <!--<td>-->
                            <!--<xsl:value-of select="@call_num"/>-->
                        <!--</td>-->
                        <!--<td>-->

                            <!--<xsl:value-of select="@channel"/></td>-->
                        <!--<td><xsl:value-of select="@minutes" />:<xsl:value-of select="@seconds"/></td>-->


                    <!--<td></td>-->
                    <!--<td></td>-->
                    <!--<td></td>-->
                    <!--<td></td>-->
                    <!--<td></td>-->
                    <!--<td></td>-->

                <!--</tr>-->
        <!--</xsl:for-each>-->
    </xsl:for-each>


	
	    <!--<xsl:for-each select="status">-->
			<!--<td><xsl:value-of select="@state" /></td>-->
			<!--<td><xsl:value-of select="@reason" /></td>-->
	    <!--</xsl:for-each>-->
	    <!--<xsl:for-each select="queue">
			<xsl:choose>
				<xsl:when test="@addrtype='mac'" >
					<td class="scanTD"><xsl:value-of select="@addr" /></td>
					<xsl:choose>
						<xsl:when test="@vendor='Sercomm'" >
							<td>IPitomy 550/120/1000/400</td>
						</xsl:when>
						
						<xsl:when test="@vendor='Guangzhou Escene Computer Technology Limited'" >
							<td>IPitomy HDPhone</td>
						</xsl:when>
						<xsl:otherwise>
							<td><xsl:value-of select="@vendor" /></td>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<td><a href="http://{@addr}" target="_blank" ><xsl:value-of select="@addr" /></a></td>
				</xsl:otherwise>
			</xsl:choose>
	    </xsl:for-each>-->
	    <!--<xsl:choose>-->
		<!--<xsl:when test="hostnames/hostname">-->
	    		<!--<xsl:for-each select="hostnames/hostname">-->
				<!--<td><xsl:value-of select="@name" /></td>-->
				<!--<td><xsl:value-of select="@type" /></td>-->
	    		<!--</xsl:for-each>-->
		<!--</xsl:when>-->
		<!--<xsl:otherwise>-->
			<!--<td></td><td></td>-->
		<!--</xsl:otherwise>-->
	    <!--</xsl:choose>-->
		
		<!--</tr>-->
	

    <!--</xsl:for-each>-->

  </div>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>