/**
 * Created with JetBrains PhpStorm.
 * User: ray
 * Date: 5/2/13
 * Time: 1:31 PM
 * To change this template use File | Settings | File Templates.
 */

// generic helpers //
String.prototype.trim = function () {
    return this.replace(/^\s*/, "").replace(/\s*$/, "");
}

String.prototype.ReplaceAll = function(stringToFind,stringToReplace){

    var temp = this;

    var index = temp.indexOf(stringToFind);

    while(index != -1){

        temp = temp.replace(stringToFind,stringToReplace);

        index = temp.indexOf(stringToFind);

    }

    return temp;

}



function memListChange(elementId)
{
    //if(inSubmit) return;
    memberFocusList = null;
    memberFocusList = new Array();
    var leftBox = document.getElementById(elementId);
    for (var i = 0; i < leftBox.length; i++)
    {
        if (leftBox.options[i].selected)
        {
            memberFocusList.push(leftBox.options[i].value);
        }
    }
}

function addOption(selectObject,optionText,optionValue)
{
    var optionObject = new Option(optionText,optionValue);
    var optionRank = selectObject.options.length;
    var found = false;

    for(i=0;i<optionRank;i++)
    {
        if (selectObject.options[i].value == optionValue)
        {
            found = true;
        }
    }
    if (!found)
    {
        selectObject.options[optionRank]=optionObject
    }
}

function deleteOption(selectObject,optionRank)
{
    if (selectObject.options.length!=0)
    {
        selectObject.options[optionRank]=null
    }
}

function AddFieldToList(dest, emailaddress)
{
    var destBox = document.getElementById(dest);
    var address = document.getElementById(emailaddress);
    addOption(destBox, address.value, address.value);
    address.value = "";
}

function AddSelectedToList(dest, src)
{
    var destBox = document.getElementById(dest);
    var srcBox = document.getElementById(src);
    for (var i = 0; i < srcBox.length; i++)
    {
        if (srcBox.options[i].selected)
        {
            addOption(destBox, srcBox.options[i].text, srcBox.options[i].value);
        }
    }
}


function DelElement(elementId)
{
    var srcBox = document.getElementById(elementId);
    for (var i = srcBox.length - 1; i >= 0; i--)
    {
        if (srcBox.options[i].selected)
        {
            deleteOption(srcBox,i);
        }
    }
}

function getListMembersById(listId,memberId)
{
    var selectObj = document.getElementById(listId);
    var members = document.getElementById(memberId);

    for(var i = 0; i < selectObj.length; i++)
    {
        if(!i)
            members.value = selectObj.options[i].value;
        else
            members.value += "|"+ selectObj.options[i].value;
    }
}


function stripText(text)
{
    var strip = new Array('(',')','.','-',' ','/\n','/\r');

    var retval = text;
    for (c in strip)
    {
        retval = retval.ReplaceAll(strip[c],'');
    }
    return retval;
}

function stripUglies(text)
{
    var strip = new Array('\\','/','<','>','\"','\'');

    var retval = text;
    for (c in strip)
    {
        retval = retval.ReplaceAll(strip[c],'');
    }
    return retval;
}

function checkNumber(num)
{
    var numRegX = /^[0-9]+$/;
    if (num.match(numRegX))
    {
        return true;
    }

    alert( num + " is not a valid number." );
    return false;
}


function checkNumRange(id, min, max)
{
    var chkfield = document.getElementById(id);
    var fieldval = +chkfield.value;
    var minval = +min;
    var maxval = +max;

    if( fieldval < minval || fieldval > maxval )
    {
        chkfield.value = maxval;
        chkfield.focus();
        alert("value should be between " + minval + " and " + maxval);
    }
}


function addLineToList(text, destId )
{
    var destBox = document.getElementById(destId);
    if (text != null && text != '')
    {
        text = stripText(text);
        if (checkNumber(text) && text != '')
        {
            addOption(destBox, text, text);
            return true;
        }
        else
        {
            return false;
        }
    }
}

function addAreaTextToList(srcId, destId)
{
    var source = document.getElementById(srcId);
    var text = source.value.trim();
    text = text.ReplaceAll(',','\n');

    if (text.indexOf('\n') > 0)
    {
        var lines = text.split('\n');

        for(n in lines)
        {
            var line = lines[n].trim();
            addLineToList(line, destId);
        }
    }
    else
    {
        addLineToList(text, destId);
    }
    source.value='';
}


// RouteOperations_List //

// RouteOperations_edit //
// Generic show dialog function //
function showDialog(dialog_id, show )
{
    var dlg = document.getElementById(dialog_id);

    if(show)
    {
        dlg.style.display = '';
    }
    else
    {
        dlg.style.display = 'none';
    }
}


// RouteExpression_edit //
function setPosDigits(num_id,pos_id,offset_id)
{
    var digitsStr = document.getElementById(num_id).value;
    var numDigits = +digitsStr;
    var posDigits = +document.getElementById(pos_id).value;
    if( numDigits < posDigits)
    {
        document.getElementById(pos_id).value = digitsStr;
    }
}

function validatePosOffset(num_id,pos_id,offset_id)
{
    var numDigits = +document.getElementById(num_id).value;
    var posOffset = +document.getElementById(offset_id).value;
    var posDigits = +document.getElementById(pos_id).value;

    if(posOffset > numDigits)
    {
        alert("The starting offset cannot be greater that the number of digits to use");
        document.getElementById(offset_id).value = "0";
        posOffset = 0;
        var goBack = document.getElementById(offset_id);
        goBack.focus();
        return;
    }

    if( (posOffset + posDigits) > numDigits)
    {
        //alert("Collecting "+posDigits+" digits from offset "+posOffset+" exceeds the total "+numDigits+" digits to use.");
        document.getElementById(pos_id).value = numDigits  - posOffset;

    }
}

function validatePosDigits(num_id,pos_id,offset_id)
{
    var numDigits = +document.getElementById(num_id).value;
    var posOffset = +document.getElementById(offset_id).value;
    var posDigits = +document.getElementById(pos_id).value;

    if( (posOffset + posDigits) > numDigits)
    {
        //alert("Collecting "+posDigits+" digits from offset "+posOffset+" exceeds the total "+numDigits+" digits to use.");
        document.getElementById(pos_id).value = numDigits  - posOffset;
    }
}


// routeTable_edit //
// Check if a file type input has a value
function checkUserFile(id)
{
    var userFile = document.getElementById(id);
    if( userFile.value.length < 1 )
    {
        alert("Click Browse...\nYou need to select a file to continue ....")
        return false;
    }
    return true;
}

// add row to the end of the table with attributes //
function addRow(tableID)
{
    // This starts at row 1 instead of zero to skip the
    // the table header. I couldn't think of a clean
    // way to do this right now and I need to move on.
    var userow = 1; // compensate for coloumn headers. The row to copy //
    var table = document.getElementById(tableID);
    var rowCount = table.rows.length;
    var row = table.insertRow(rowCount);
    var colCount = table.rows[userow].cells.length;

    for(var i=0; i<colCount; i++)
    {
        var newcell = row.insertCell(i);
        var oldcell = table.rows[userow].cells[i];

        // cheesy but effective //
        var parseOuter = oldcell.outerHTML;
        var sfind = "value=";
        var start = parseOuter.indexOf(sfind);
        if( start > 0 )
        {
            var end = parseOuter.indexOf('"', start + sfind.length + 1) ;
            var removeme = parseOuter.substring(start,end+1);
            parseOuter = parseOuter.replace(removeme, '');
        }

        newcell.outerHTML = parseOuter;
        newcell.innerHTML = oldcell.innerHTML;

        switch(newcell.childNodes[0].type)
        {
            case "text":
                newcell.childNodes[0].value = "";
                break;
            case "checkbox":
                newcell.childNodes[0].checked = false;
                break;
            case "select-one":
                newcell.childNodes[0].selectedIndex = 0;
                break;
        }
    }
}

function deleteRow(tableID)
{
    try
    {
        var table = document.getElementById(tableID);
        var rowCount = table.rows.length;

        for(var i=0; i<rowCount; i++)
        {
            var row = table.rows[i];
            var cellCount = row.cells.length;
            for(var c=0;c<cellCount;c++)
            {
                if( row.cells[c].childNodes[0].type === "checkbox")
                {
                    if(row.cells[c].childNodes[0].checked == true)
                    {
                        if(rowCount <= 2)
                        {
                            alert("Cannot delete all the rows.");
                            break;
                        }
                        table.deleteRow(i);
                        rowCount--;
                        i--;
                    }
                }
            }
        }
    }
    catch(e)
    {
        alert(e);
    }
}

