/**
 * Created with JetBrains PhpStorm.
 * User: aharrell
 * Date: 8/27/13
 * Time: 2:30 PM
 * To change this template use File | Settings | File Templates.
 */

// milliseconds until request times out and we request that they reload the page.
var CHECK_TIMEOUT = 3600000;
var currentOp = '';
var checkInProgress = false;

function worker_timeout() {
    var retObj = new Object;

    retObj.status = 3; // Complete
    retObj.txt = 'error contacting server - timeout - try reloading page.';
    self.postMessage(retObj);
//    self.postMessage('Worker Timeout');
    self.close();
}

function initCheckStatus() {
    setTimeout(function () { worker_timeout(); }, CHECK_TIMEOUT);
    var reqObj = new Object;
    reqObj.op = 'init_check_update';
    currentOp = 'init_check_update';
    postURLS('/ippbx/sw_update.php', reqObj, initCheckCB);
}

function initUpdate() {
    setTimeout(function () { worker_timeout(); }, CHECK_TIMEOUT);
    var reqObj = new Object;
    reqObj.op = 'init_update';
    currentOp = 'init_update';
    postURLS('/ippbx/sw_update.php', reqObj, initCheckCB);
}

function checkStatus() {

    var reqObj = new Object;
    reqObj.op = 'check_update';
    if (currentOp == 'init_update')
        reqObj.jid = 'web_update';
    else
        reqObj.jid = 'web_check';
    postURLS('/ippbx/sw_update.php', reqObj, checkStatusCB);
}



function initCheckCB(data) {

    setTimeout(function() { checkStatus();}, 3000);
//    checkStatus();
}

function checkStatusCB(xhrObj) {
    if (xhrObj.status == '200')
    {
        data = xhrObj.responseText;

        var retObj = new Object;

        retObj.status = 1; // Complete
        retObj.txt = data;

        if (data.match(/STATUS: Running/)) {
            if (data.match(/WARNING: yctl NOT RUNNING/)) {
                retObj.status = 3;
                retObj.txt = 'Error occurred during update.'+retObj.txt;
                self.postMessage(retObj);
            } else {
                setTimeout(function () { checkStatus(); }, 3000);
                retObj.status = 2;
                retObj.txt = 'Running';
                self.postMessage(retObj);
            }

        }
        else if (data.match(/STATUS: Error/)) {
            retObj.status = 3;
            retObj.txt = 'Error JID not found'+retObj.txt;
            self.postMessage(retObj);
        }
        else
        {
            if (data.match(/STATUS: Complete/))
                self.postMessage(retObj);
        }
    }
    else
    {
        setTimeout(function () { checkStatus(); }, 3000);
    }
}

self.addEventListener('message', function (e) {
    var data = e.data;

    switch (data.cmd) {
    case 'start':
        self.postMessage('Worker Started: ' + data.data);
        initCheckStatus();
        break;
    case 'update':
        self.postMessage('Worker Started: ' + data.data);
        initUpdate();
        break;
    case 'stop':
        self.postMessage('Worker Stopped' + data.msg);
        self.close();
        break;
    default:
        self.postMessage('Unknown command' + data.msg);
        break;
    }
}, false);



function postURLS(url, data, callback) {

    if (checkInProgress)
	return;

    checkInProgress = true;
    var reqObj = new Object;
    reqObj.action = url;
    reqObj.method = "POST";
    reqObj.data = data;
    cb_func = callback;


    var xhr = new XMLHttpRequest();
    xhr.onreadystatechange = (function () {

        if (xhr.readyState == 4) {
            checkInProgress = false;
            if (xhr.status == 200) {
                if (cb_func) {
                    cb_func(xhr);
                }
            } else {
//                Console.write('Status not 200: '+xhr.status);
                if (cb_func) // ready state is 4 but status is not
                {
                    cb_func(xhr);
                }

//                alert('error processing request');
            }
        }

    }).bind(this);
    xhr.open(reqObj.method, reqObj.action, true);
    xhr.ontimeout = function () { checkInProgress=false; checkStatus(); }
    xhr.timeout = 10000;

    //    xhr.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
    xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");


    // send the collected data as JSON
    xhr.send("postData=" + JSON.stringify(reqObj.data));
}
