/*

ALLOW,DENY	edit denyList	null allowList	black list
DENY,ALLOW	edit allowList	null denyList	white list

*/


var masterAllowDeny = new Object();
var copyAllowDeny = new Object();
var aclEditDialog = 1;
var editFieldTxt;
var workingIPList;


function editACL( editField ){

	var fieldObject = document.getElementById( editField );
	editFieldTxt = editField;
	masterAllowDeny = dojo.fromJson( fieldObject.value );
	copyAllowDeny = masterAllowDeny;

	if (aclEditDialog == 1) {
		aclEditDialog = new dijit.Dialog({
			id: 'aclDlg',
			title: 'Edit ACL',
			style: 'width: 325px'
		});
	}

	aclEditDialog.set("content", buildDialog( copyAllowDeny ));
	aclEditDialog.show();
}

function saveACL()
{
	var originACL = document.getElementById(editFieldTxt);

	var aclListElement = document.getElementById("aclList");
	var aclListLen = aclListElement.length;	
	var tmpArray = new Array();
	for (var i = 0; i < aclListLen; i++)
	{
		tmpArray.push( aclListElement.options[i].value );
	}
	function sortTmp(a,b) { return b - a; };
	if ( document.getElementById("denyListType").checked == true )
	{
		copyAllowDeny.type = 2;
		copyAllowDeny.allowList = tmpArray.sort( sortTmp );
		copyAllowDeny.denyList = null;
	}
	else
	{
		copyAllowDeny.type = 1;
		copyAllowDeny.denyList = tmpArray.sort( sortTmp );
		copyAllowDeny.allowList = null;
	}

	var aclObjAsJson = dojo.toJson( copyAllowDeny );
	originACL.value = aclObjAsJson;
	aclEditDialog.hide();
}

function cancelACL()
{
	//todo: restore original aclObj
	copyAllowDeny = masterAllowDeny;
	aclEditDialog.hide();
}

function toggleControls( toggle )
{
	
	if (toggle == 1)
	{
		copyAllowDeny.enabled = 1;
		enableControls();
	}
	else
	{
		copyAllowDeny.enabled = 2;
		disableControls();
	}
}

function enableControls()
{
	dijit.byId("allowListType").setAttribute('disabled', false);
	dijit.byId("denyListType").setAttribute('disabled', false);
	dijit.byId("ipToAdd").setAttribute('disabled', false);
	dijit.byId("addBtn").setAttribute('disabled', false);
	//dijit.byId("aclList").setAttribute('disabled', false);
	document.getElementById("aclList").disabled = false;
	dijit.byId("deleteBtn").setAttribute('disabled', false);
}

function disableControls()
{
	dijit.byId("allowListType").setAttribute('disabled', true);
	dijit.byId("denyListType").setAttribute('disabled', true);
	dijit.byId("ipToAdd").setAttribute('disabled', true);
	dijit.byId("addBtn").setAttribute('disabled', true);
	document.getElementById("aclList").disabled = true;
	dijit.byId("deleteBtn").setAttribute('disabled', true);
}

function buildDialog( aclObj )
{

	if (aclObj.type == 2) // deny
	{
		workingIPList = copyAllowDeny.allowList;
	}
	else
	{
		workingIPList = copyAllowDeny.denyList;
	}

	// WJF var content = '<form id="aclForm">';
	var content = '<input type="hidden" name="editFieldTxt" id="editFieldTxt" value="">';
	
	content += '<input id="listEnabled" dojoType="dijit.form.CheckBox" value="1"';
	if (aclObj.enabled == 1)
	{
		content += ' checked ';
	}
	content += 'onChange="toggleControls(dijit.byId(\'listEnabled\').attr(\'value\'))"></input>';

	content += '<label for="listEnabled">Enable list</label>';

	content += '<div>';
	content += '<div style="float:left">';
	content += '<input id="denyListType" name="listType" value="2"';
	if (aclObj.type == 2)
	{
		content += ' checked ';
	}
	if (aclObj.enabled == 2)
	{
		content += ' disabled ';
	}
	content += ' dojoType="dijit.form.RadioButton"></input>';
	content += '<label for="denyListType">Allow List</label>';
	content += '</div>';
	content += '<div style="float:right">';
	content += '<input id="allowListType" name="listType" value="1"';
	if (aclObj.type == 1)
	{
		content += ' checked ';
	}
	if (aclObj.enabled == 2)
	{
		content += ' disabled ';
	}
	content += ' dojoType="dijit.form.RadioButton"</input>';
	content += '<label for="allowListType">Deny List</label>';
	content += '</div>';

	content += "<input id='ipToAdd' dojoType='dijit.form.TextBox'";
	if (aclObj.enabled == 2)
	{
		content += ' disabled ';
	}
	content += '></input>';
	content += ' <button dojoType="dijit.form.Button" type="button" id="addBtn"';
	content += " onClick=\"return addIP()\"";
	if (aclObj.enabled == 2)
	{
		content += ' disabled ';
	}
	content += '> Add</button><br />';

	content += '<div>';
	content += '<select id="aclList" name="aclList" size="10" style="width: 300px" multiple="multiple"';
	if (aclObj.enabled == 2)
	{
		content += ' disabled ';
	}
	content += '>';
	for (var i in workingIPList )
	{
		content +='<option value="'+workingIPList[i]+'">'+workingIPList[i]+'</option>';
	}
	content += "</select><br />";
	content += '</div>';

	content += '<div style="float: left">';
	content += " <button dojoType=\"dijit.form.Button\" type=\"button\" onClick=\"deleteIPs();\" id=\"deleteBtn\"";
	if (aclObj.enabled == 2)
	{
		content += ' disabled ';
	}
	content += '>Delete</button>';
	content += '</div>';

	content += '<div style="float:right">';
	content += ' <button dojoType="dijit.form.Button" type="button" id="saveBtn"';
	content += " onClick=\"return saveACL()\"";
	content += '>Save</button>';

	content += " <button dojoType=\"dijit.form.Button\" type=\"button\" onClick=\"cancelACL();\" id=\"cancelBtn\">";
	content += ' Cancel </button>';
	content += '</div>';

	// WJF content += '</form>';

	return content;
}

function addIP()
{
	
	var aclListElement = document.getElementById("aclList");
	var ipToAddValue = dijit.byId("ipToAdd").attr("value").toLowerCase();
	var aclListLen = aclListElement.length;	
	var found = false;
	for (var i = 0; (i < aclListLen) && !found; i++)
	{
		if (aclListElement.options[i].value == ipToAddValue)
		{
			found = true;
		}
		else
		{
			found = false;
		}
	}

	if (found)
	{
		alert( "The IP address: " + ipToAddValue + " is already in the list." );
	}

	if ( !found && validateEntry( ipToAddValue ) )
	{
		
		addElement( document.getElementById( "aclList" ), ipToAddValue, ipToAddValue );
		dijit.byId("ipToAdd").set("value","");
	}
}

function addElement( selectBox, text, value )
{
	var element = document.createElement( "OPTION" );
	element.text = text;
	element.value = value;
	selectBox.options.add( element );
}

function deleteIPs()
{
	deleteElements( document.getElementById( "aclList" ) );
}

function deleteElements( selectBox )
{
	var i;
	for ( i = selectBox.options.length - 1; i >= 0; i-- )
	{
		if (selectBox.options[i].selected )
		{
			selectBox.remove(i);
		}
	}
}

function validateEntry( ipAddr ) 
{
    //f.className="";
    var RegExPattern = /^(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])\.(\d{1,2}|1\d\d|2[0-4]\d|25[0-5])((\/[1-2]\d)|(\/\d)|(\/3[0-2])|)$/;
    if (((ipAddr.search(RegExPattern) != -1) || (ipAddr.toLowerCase() === 'all')) && (ipAddr!='')) {
		return true;
    }else{
		alert('Entries must be a valid ip address (xxx.xxx.xxx.xxx), a valid CIDR address (xxx.xxx.xxx.xxx/xx) or the word "all"');
		return false;
    }
}

